<form [formGroup]="registerForm.form">
  <div class="register">
    <div class="title">
      <h2>Formulario de Registro</h2>
    </div>
    <hr class="solid">
    <div class="form">
      <div class="form-elements">
        <app-primary-input class="element"
          [isRequired]="true" 
          [placeholder]="''"
          [errorMessage]="'ID no válido!'" 
          [label]="'ID'" 
          [type]="'input-color-1'"
          [isDisabled]="false"
          [hasErrorMessage]="registerForm.getRegisterFormControl('id').invalid 
            && !registerForm.getRegisterFormControl('id').pristine ? true: false"
          [typeOfInput]="'text'"
          [labelIsDisabled]="false"
          formControlName="id"
          ngDefaultControl
        >
        </app-primary-input>
        <app-primary-input class="element"
            [isRequired]="true" 
            [placeholder]="''"
            [errorMessage]="'Este campo es requerido!'" 
            [label]="'Nombre'" 
            [type]="'input-color-1'"
            [isDisabled]="false"
            [hasErrorMessage]="registerForm.getRegisterFormControl('fullName').invalid 
            && !registerForm.getRegisterFormControl('fullName').pristine ? true: false"
            [typeOfInput]="'text'"
            [labelIsDisabled]="false"
            formControlName="fullName"
            ngDefaultControl
          >
          </app-primary-input>
      </div>
      <div class="form-elements">
        <app-primary-input class="element"
          [isRequired]="true" 
          [placeholder]="''"
          [errorMessage]="'Este campo es requerido!'" 
          [label]="'Descripción'" 
          [type]="'input-color-1'"
          [isDisabled]="false"
          [hasErrorMessage]="registerForm.getRegisterFormControl('description').invalid 
            && !registerForm.getRegisterFormControl('description').pristine ? true: false"
          [typeOfInput]="'text'"
          [labelIsDisabled]="false"
          formControlName="description"
          ngDefaultControl
        >
        </app-primary-input>
        <app-primary-input class="element"
          [isRequired]="true" 
          [placeholder]="''"
          [errorMessage]="'Este campo es requerido!'" 
          [label]="'Logo'" 
          [type]="'input-color-1'"
          [isDisabled]="false"
          [hasErrorMessage]="registerForm.getRegisterFormControl('logo').invalid 
            && !registerForm.getRegisterFormControl('logo').pristine ? true: false"
          [typeOfInput]="'text'"
          [labelIsDisabled]="false"
          formControlName="logo"
          ngDefaultControl
        >
        </app-primary-input>
      </div>
      <div class="form-elements">
        <app-primary-input class="element"
          [isRequired]="true" 
          [placeholder]="'dd/mm/aaaa'"
          [errorMessage]="'Este campo es requerido!'" 
          [label]="'Fecha Liberación'" 
          [type]="'input-color-1'"
          [isDisabled]="false"
          [hasErrorMessage]="registerForm.getRegisterFormControl('releaseDate').invalid 
              && !registerForm.getRegisterFormControl('releaseDate').pristine ? true: false"
          [typeOfInput]="'text'"
          [labelIsDisabled]="false"
          formControlName="releaseDate"
          ngDefaultControl
        >
        </app-primary-input>
        <app-primary-input class="element"
          [isRequired]="true" 
          [placeholder]="'dd/mm/aaaa'"
          [errorMessage]="'Este campo es requerido!'" 
          [label]="'Fecha Revisión'" 
          [type]="'input-color-1'"
          [isDisabled]="false"
          [hasErrorMessage]="registerForm.getRegisterFormControl('reviewDate').invalid 
            && !registerForm.getRegisterFormControl('reviewDate').pristine ? true: false"
          [typeOfInput]="'text'"
          [labelIsDisabled]="false"
          formControlName="reviewDate"
          ngDefaultControl
        >
        </app-primary-input>
      </div>
    </div>
    <div class="submit">
      <div class="submit-left">
        <app-primary-button
          [customWidth]="'fit'"
          [type]="'button-color-2'"
          [isDisabled]="false"
          (click)="resetForm()"
        >
          Reiniciar
        </app-primary-button>
      </div>
      <div class="submit-right">
        <app-primary-button
          [customWidth]="'fit'"
          [type]="'reset-color-1'"
          (click)="submit()"
          [isDisabled]="isDisabledButton || !registerForm.form.valid"
        >
          Enviar
        </app-primary-button>
      </div>
    </div>
  </div>
</form>